--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Set authentication credential. uri == nil for generic purpose (allow to use user/password for any URL).
full_name: HTTPClient::NegotiateAuth#set
is_singleton: false
name: set
params: (uri, user, passwd)
visibility: public
